/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
// GLStlSaveOptionDlg.cpp : 実装ファイル

#include "stdafx.h"
//#include "fugen.h"
#include "GLStlSaveOptionDlg.h"

// CGLStlSaveOptionDlg ダイアログ

IMPLEMENT_DYNAMIC(CGLStlSaveOptionDlg, CDialog)

CGLStlSaveOptionDlg::CGLStlSaveOptionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGLStlSaveOptionDlg::IDD, pParent)
	, m_bBinary(FALSE)
	, m_bSingle(FALSE)
{
}

CGLStlSaveOptionDlg::~CGLStlSaveOptionDlg()
{
}

void CGLStlSaveOptionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CHECK_BINARY, m_bBinary);
	DDX_Check(pDX, IDC_MESH_SAVE_SINGLE, m_bSingle);

	GetDlgItem(IDC_MESH_SAVE_SINGLE)->EnableWindow(!m_bBinary);
}

BEGIN_MESSAGE_MAP(CGLStlSaveOptionDlg, CDialog)
	ON_BN_CLICKED(IDC_CHECK_BINARY, OnBnClickedCheckBinary)
	ON_BN_CLICKED(IDC_MESH_SAVE_SINGLE, OnBnClickedMeshSaveSingle)
END_MESSAGE_MAP()

// CGLStlSaveOptionDlg メッセージ ハンドラ

void CGLStlSaveOptionDlg::OnBnClickedCheckBinary()
{
	UpdateData();
}

void CGLStlSaveOptionDlg::OnBnClickedMeshSaveSingle()
{
	UpdateData();
}
